%global srcname webcolors

Name:           python-%{srcname}
Version:        1.5
Release:        2%{?dist}
Summary:        A library for working with HTML and CSS color names and value formats

License:        BSD
URL:            http://www.bitbucket.org/ubernostrum/webcolors/overview/
Source0:        https://pypi.python.org/packages/source/w/%{srcname}/%{srcname}-%{version}.tar.gz
Source1:        description-%{srcname}.txt

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-flake8
BuildRequires:  python2-nose
BuildRequires:  python2-sphinx

BuildRequires:  python3-devel
BuildRequires:  python3-flake8
BuildRequires:  python3-nose


%description
%(cat %{SOURCE1})


%package -n python3-%{srcname}
Summary:        %{summary}


%description -n python3-%{srcname}
%(cat %{SOURCE1})

This package installs the %{srcname} module for Python 3.


%prep
%setup -q -n %{srcname}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}


%build
%{__python2} setup.py build
make -C docs html

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd


%check
nosetests-%{python2_version}
flake8 webcolors.py

pushd %{py3dir}
nosetests-%{python3_version}
python3-flake8 webcolors.py
popd


%files
%doc PKG-INFO LICENSE README.rst docs/_build/*
%{python2_sitelib}/%{srcname}*


%files -n python3-%{srcname}
%{_pkgdocdir}
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 24 2016 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.5-1
- Bumped version to 1.5
- Upstream now ships tests and documentation

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Dec 09 2013 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 1.4-1
- Initial spec
